## ros-rolling-connext-cmake-module 1.1.0

=== debian/changelog ===
ros-rolling-connext-cmake-module (1.1.0-1focal) focal; urgency=high

  * Shorten some excessively long lines of CMake (#66 <https://github.com/ros2/rosidl_typesupport_connext/issues/66>)
  * Update maintainers (#64 <https://github.com/ros2/rosidl_typesupport_connext/issues/64>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-connext-cmake-module (1.0.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 29 Sep 2020 00:00:00 -0000

ros-rolling-connext-cmake-module (1.0.1-1focal) focal; urgency=high

  * remove pthread link flags for Android NDK cross-compiling (#56 <https://github.com/ros2/rosidl_typesupport_connext/issues/56>)
  * Contributors: jayhou

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 00:00:00 -0000

ros-rolling-connext-cmake-module (1.0.0-1focal) focal; urgency=high

  * Fix failure when find-packaging Connext Module and c/cxx languages are not enabled (#55 <https://github.com/ros2/rosidl_typesupport_connext/issues/55>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-rolling-connext-cmake-module (0.9.0-1focal) focal; urgency=high

  * Fix CMake warning about using uninitialized variables (#52 <https://github.com/ros2/rosidl_typesupport_connext/issues/52>)
  * Add missing project() command to check_abi CMakeLists.txt (#48 <https://github.com/ros2/rosidl_typesupport_connext/issues/48>)
  * Set ddsgen and ddsgen_server paths to absolute paths for Windows (#46 <https://github.com/ros2/rosidl_typesupport_connext/issues/46>)
  * Ignore -Wclass-memaccess build warnings coming from Connext 5.3.1 (#45 <https://github.com/ros2/rosidl_typesupport_connext/issues/45>)
  * Contributors: Dirk Thomas, Jacob Perron, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-connext-cmake-module (0.8.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.8.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.8.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.8.1-1focal) focal; urgency=high

  * Inline ament_zsh_to_array logic (#36 <https://github.com/ros2/rosidl_typesupport_connext/issues/36>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.8.0-1focal) focal; urgency=high

  * Use local function to prepend unique value (#35 <https://github.com/ros2/rosidl_typesupport_connext/issues/35>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.7.2-1focal) focal; urgency=high

  * Generalize string matching for OSX Connext library in cmake module (#28 <https://github.com/ros2/rosidl_typesupport_connext/issues/28>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.7.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.7.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.6.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2019 00:00:00 -0000

ros-rolling-connext-cmake-module (0.6.3-1focal) focal; urgency=high

  * Add case for 'x64Darwin17clang9.0' in Connext library path in find module (#21 <https://github.com/ros2/rosidl_typesupport_connext/issues/21>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.6.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.6.1-1focal) focal; urgency=high

  * Reduce verbosity when Connext is not available (#17 <https://github.com/ros2/rosidl_typesupport_connext/issues/17>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.6.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.5.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.5.2-1focal) focal; urgency=high

  * Re-export NDDSHOME variable in environment hook. (#5 <https://github.com/ros2/rosidl_typesupport_connext/issues/5>)
    The find_package(Connext) function provided by connext_cmake_module
    relies on the NDDSHOME variable being set.
    In order for the connext_cmake_module package to be the only one which
    needs to source the RTI environment script on the buildfarm the
    environment hook must re-export it.
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jun 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.5.1-1focal) focal; urgency=high

  * Add build dependency on rti-connext-dds-5.3.1 (#3 <https://github.com/ros2/rosidl_typesupport_connext/issues/3>)
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 24 Jun 2018 00:00:00 -0000

ros-rolling-connext-cmake-module (0.5.0-1focal) focal; urgency=high

  * Extra fix for paths with spaces in them
  * Only set NDDSHOME if not previously set
  * Add support for Visual Studio 2017
  * 0.4.0
  * 0.0.3
  * 0.0.2


